<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2007 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  ********************************************
  Coppermine version: 1.4.13
  $Source$
  $Revision: 3912 $
  $Author: gaugau $
  $Date: 2007-08-24 16:48:44 +0200 (Fr, 24 Aug 2007) $
**********************************************/
/************************************************
 CopperRank plugin
*************************************************
by just_some_guy - www.mysimtractor.com
*************************************************/
if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

global $CONFIG, $lang_plugin_CopperRank;

require('./plugins/CopperRank/include/init.inc.php');

// Add an install action
$thisplugin->add_action('plugin_install','rank_install');
$thisplugin->add_action('plugin_configure','rank_configure');
$thisplugin->add_action('page_start','rank_page_start');
$thisplugin->add_action('plugin_uninstall','rank_uninstall');

// Install function
function rank_install() {
global $CONFIG;
$superCage = Inspekt::makeSuperCage();
    // Install
 if ($superCage->post->getAlnum('submit')) {

 return true;

    } else {
        return 1;
    }
}

// add config button
function rank_config_button($href,$title,$target,$link)
{
  global $CONFIG, $lang_plugin_CopperRank, $template_gallery_admin_menu;

  $new_template = $template_gallery_admin_menu;
  $button = template_extract_block($new_template,'documentation');
  $params = array(
      '{DOCUMENTATION_HREF}' => $href,
      '{DOCUMENTATION_TITLE}' => $title,
      'target="cpg_documentation"' => $target,
      '{DOCUMENTATION_LNK}' => $link,
   );
   $new_button="<!-- BEGIN $link -->".template_eval($button,$params)."<!-- END $link -->
   ";
   template_extract_block($template_gallery_admin_menu,'documentation',"<!-- BEGIN documentation -->" . $button . "<!-- END documentation -->
   " . $new_button);
}

// add admin button to start of each page
function rank_page_start()
{
  global $CONFIG, $lang_plugin_CopperRank;
  require('./plugins/CopperRank/include/init.inc.php');

	if (GALLERY_ADMIN_MODE) {
		rank_config_button('index.php?file=CopperRank/config', $lang_plugin_CopperRank['rank_start'],'',$lang_plugin_CopperRank['rank_start']);
	}
}

// Configure function
function rank_configure() {
  global $CONFIG, $lang_plugin_CopperRank;
  $superCage = Inspekt::makeSuperCage();
  $request_uri = $superCage->server->getEscaped('REQUEST_URI');
  
  $query= "INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('rank1', '{$lang_plugin_CopperRank['Newbie']}'),
                                                                      ('rank2', '{$lang_plugin_CopperRank['Member']}'),
                                                                      ('rank3', '{$lang_plugin_CopperRank['Extreme Member']}'),
                                                                      ('rank4', '{$lang_plugin_CopperRank['Power Member']}'),
                                                                      ('rank5', '{$lang_plugin_CopperRank['Addict']}');";
                                                 cpg_db_query($query);

  $query= "INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('rank_value1', '10'),
                                                                      ('rank_value2', '25'),
                                                                      ('rank_value3', '40'),
                                                                      ('rank_value4', '55'),
                                                                      ('rank_value5', '70');";
                                                 cpg_db_query($query);

  $query= "INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('rank_image1', '<img src=\"plugins/CopperRank/images/rank1.jpg\" />'),
                                                                      ('rank_image2', '<img src=\"plugins/CopperRank/images/rank2.jpg\" />'),
                                                                      ('rank_image3', '<img src=\"plugins/CopperRank/images/rank3.jpg\" />'),
                                                                      ('rank_image4', '<img src=\"plugins/CopperRank/images/rank4.jpg\" />'),
                                                                      ('rank_image5', '<img src=\"plugins/CopperRank/images/rank5.jpg\" />');";
                                                 cpg_db_query($query);

echo <<< EOT
{$lang_plugin_CopperRank['start']} </br>
<form name="submit" id="submit" action="$request_uri" method="post">
<input id="submit" name="submit" type="submit" value="submit" />
</form>
EOT;
}
// Displays the form

function rank_uninstall()
{
  global $CONFIG, $lang_plugin_CopperRank;
  $superCage = Inspekt::makeSuperCage();
        /*
       cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'rank1', 'rank2', 'rank3', 'rank4', 'rank5',
                                                                        'rank_value1', 'rank_value2', 'rank_value3', 'rank_value4', 'rank_value5',
                                                                        'rank_image1', 'rank_image2', 'rank_image3', 'rank_image4', 'rank_image5'");

       */
       cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name LIKE 'rank_%'");
	return true;

}

?>